#
# spec file for package klibs (Version 1.0)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  ksupp qtlib qtdevel gpp libgpp libjpeg libgif

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         klibs
Release:      5
Copyright:    1997,1998 The KDE-Team
Group: 
Provides:     kdelibs 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Summary:      KDE base package (libs)
Version:      1.0 
Source: kdelibs-1.0.tar.gz 
Patch:  kdelibs-1.0.dif
%description
Newest KDE packages adepted to S.u.S.E. Linux may be found at
ftp://ftp.suse.com/pub/suse_update/KDE. 
General information for KDE can be found at the respective addresses
in WWW (http://www.kde.org) or our support database
(http://www.suse.de/Support/sdb). 
This package contains kdelibs, one of the basic packages of the K
Desktop Environment. It contains necessary libraries the KDE desktop.
This package is absolutely necessary for using KDE!
Documentation may be found in:
/usr/doc/packages/kde/klibs 

Authors:
--------
    The KDE Team <kde@kde.org>

%prep
%setup -n kdelibs-1.0
%patch
%build
#
# source vars
#
. ./variables.sh
./configure 
make 
%install
. ./variables.sh
export DOCS="AUTHORS COPYING ChangeLog INSTALL NEWS README"
make install
install -d -m 755 /usr/doc/packages/kde/klibs
install -m 644 ${DOCS} /usr/doc/packages/kde/klibs
cd ${KDEDIR}/lib
#
# remove possible links
#
rm -f   libkdecore.so \
	libkdecore.so.1 \
	libkdeui.so \
	libkdeui.so.1 \
	libjscript.so \
	libjscript.so.0 \
	libkhtmlw.so \
	libkhtmlw.so.1 \
	libkfm.so \
	libkfm.so.1 \
	libmediatool.so \
	libmediatool.so.1 \
        libkfile.so \
        libkfile.so.1
#
# make links
#
ln -s libkdecore.so.1.0.0 libkdecore.so
ln -s libkdecore.so.1.0.0 libkdecore.so.1
ln -s libkdeui.so.1.0.0 libkdeui.so
ln -s libkdeui.so.1.0.0 libkdeui.so.1
ln -s libjscript.so.0.0.90 libjscript.so
ln -s libjscript.so.0.0.90 libjscript.so.0
ln -s libkhtmlw.so.1.0.0 libkhtmlw.so
ln -s libkhtmlw.so.1.0.0 libkhtmlw.so.1
ln -s libkfm.so.1.0.0 libkfm.so
ln -s libkfm.so.1.0.0 libkfm.so.1
ln -s libmediatool.so.1.0.0 libmediatool.so
ln -s libmediatool.so.1.0.0 libmediatool.so.1
ln -s libkfile.so.1.0.0 libkfile.so
ln -s libkfile.so.1.0.0 libkfile.so.1
#
# make doc links
#
( 
    cd /usr/doc/packages/kde   
    rm -f doc 
    ln -s ${KDEDIR}/share/doc
)
( 
    cd ${KDEDIR}/share/doc 
    rm -f SuSE
    ln -s /usr/doc/packages/kde SuSE
)
( 
    cd ${KDEDIR}/share/doc/HTML 
    rm -f default 
    ln -s en default 
)
Check
%files
%dir /opt/kde/share
%dir /opt/kde/share/apps
%dir /opt/kde/share/apps/kde
%dir /opt/kde/share/apps/kde/pics
%dir /opt/kde/share/apps/khtmlw
%dir /opt/kde/share/apps/khtmlw/pics
%dir /opt/kde/share/config
%dir /opt/kde/share/doc
%docdir /opt/kde/share/doc/HTML
%docdir /opt/kde/share/doc/HTML/en
%docdir /opt/kde/share/doc/HTML/en/kdelibs
%docdir /opt/kde/share/doc/HTML/en/kfiledialog
%dir /opt/kde/share/locale
%dir /opt/kde/share/locale/ca
%dir /opt/kde/share/locale/ca/LC_MESSAGES
%dir /opt/kde/share/locale/cs
%dir /opt/kde/share/locale/cs/LC_MESSAGES
%dir /opt/kde/share/locale/da
%dir /opt/kde/share/locale/da/LC_MESSAGES
%dir /opt/kde/share/locale/de
%dir /opt/kde/share/locale/de/LC_MESSAGES
%dir /opt/kde/share/locale/el
%dir /opt/kde/share/locale/el/LC_MESSAGES
%dir /opt/kde/share/locale/en_UK
%dir /opt/kde/share/locale/en_UK/LC_MESSAGES
%dir /opt/kde/share/locale/es
%dir /opt/kde/share/locale/es/LC_MESSAGES
%dir /opt/kde/share/locale/fi
%dir /opt/kde/share/locale/fi/LC_MESSAGES
%dir /opt/kde/share/locale/fr
%dir /opt/kde/share/locale/fr/LC_MESSAGES
%dir /opt/kde/share/locale/hr
%dir /opt/kde/share/locale/hr/LC_MESSAGES
%dir /opt/kde/share/locale/hu
%dir /opt/kde/share/locale/hu/LC_MESSAGES
%dir /opt/kde/share/locale/it
%dir /opt/kde/share/locale/it/LC_MESSAGES
%dir /opt/kde/share/locale/mk
%dir /opt/kde/share/locale/mk/LC_MESSAGES
%dir /opt/kde/share/locale/nl
%dir /opt/kde/share/locale/nl/LC_MESSAGES
%dir /opt/kde/share/locale/no
%dir /opt/kde/share/locale/no/LC_MESSAGES
%dir /opt/kde/share/locale/pl
%dir /opt/kde/share/locale/pl/LC_MESSAGES
%dir /opt/kde/share/locale/pt
%dir /opt/kde/share/locale/pt/LC_MESSAGES
%dir /opt/kde/share/locale/pt_BR
%dir /opt/kde/share/locale/pt_BR/LC_MESSAGES
%dir /opt/kde/share/locale/ro
%dir /opt/kde/share/locale/ro/LC_MESSAGES
%dir /opt/kde/share/locale/ru
%dir /opt/kde/share/locale/ru/LC_MESSAGES
%dir /opt/kde/share/locale/sk
%dir /opt/kde/share/locale/sk/LC_MESSAGES
%dir /opt/kde/share/locale/sl
%dir /opt/kde/share/locale/sl/LC_MESSAGES
%dir /opt/kde/share/locale/sv
%dir /opt/kde/share/locale/sv/LC_MESSAGES
%dir /opt/kde/share/locale/zh_CN.GB2312
%dir /opt/kde/share/locale/zh_CN.GB2312/LC_MESSAGES
%dir /opt/kde/share/locale/zh_TW.Big5
%dir /opt/kde/share/locale/zh_TW.Big5/LC_MESSAGES
%dir /opt/kde/share/toolbar
%docdir /usr/doc/packages/kde/klibs
/opt/kde/include/bison2cpp.h
/opt/kde/include/bookmark.h
/opt/kde/include/booktoken.h
/opt/kde/include/builtin.h
/opt/kde/include/ckey.h
/opt/kde/include/dither.h
/opt/kde/include/drag.h
/opt/kde/include/formats.h
/opt/kde/include/html.h
/opt/kde/include/htmlclue.h
/opt/kde/include/htmldata.h
/opt/kde/include/htmlfont.h
/opt/kde/include/htmlform.h
/opt/kde/include/htmlframe.h
/opt/kde/include/htmlobj.h
/opt/kde/include/htmltoken.h
/opt/kde/include/htmlview.h
/opt/kde/include/jscript.h
/opt/kde/include/jserror.h
/opt/kde/include/jsexec.h
/opt/kde/include/jstree.h
/opt/kde/include/kapp.h
/opt/kde/include/kaudio.h
/opt/kde/include/kbutton.h
/opt/kde/include/kbuttonbox.h
/opt/kde/include/kcharsets.h
/opt/kde/include/kcolorbtn.h
/opt/kde/include/kcolordlg.h
/opt/kde/include/kcolorgroup.h
/opt/kde/include/kcombiview.h
/opt/kde/include/kcombo.h
/opt/kde/include/kconfig.h
/opt/kde/include/kconfigbase.h
/opt/kde/include/kconfigdata.h
/opt/kde/include/kcontainer.h
/opt/kde/include/kcontrol.h
/opt/kde/include/kdatepik.h
/opt/kde/include/kdatetbl.h
/opt/kde/include/kdbtn.h
/opt/kde/include/kde.pot
/opt/kde/include/kdebug.h
/opt/kde/include/kdir.h
/opt/kde/include/kdirlistbox.h
/opt/kde/include/keditcl.h
/opt/kde/include/kfiledetaillist.h
/opt/kde/include/kfiledialog.h
/opt/kde/include/kfileinfo.h
/opt/kde/include/kfileinfocontents.h
/opt/kde/include/kfilepreview.h
/opt/kde/include/kfilesimpleview.h
/opt/kde/include/kfm.h
/opt/kde/include/kfmclient_ipc.h
/opt/kde/include/kfmipc.h
/opt/kde/include/kfontdialog.h
/opt/kde/include/kiconloader.h
/opt/kde/include/kiconloaderdialog.h
/opt/kde/include/kintegerline.h
/opt/kde/include/kkeyconf.h
/opt/kde/include/kkeydata.h
/opt/kde/include/kled.h
/opt/kde/include/kledlamp.h
/opt/kde/include/klined.h
/opt/kde/include/klocale.h
/opt/kde/include/kmenubar.h
/opt/kde/include/kmisc.h
/opt/kde/include/kmsgbox.h
/opt/kde/include/knewpanner.h
/opt/kde/include/knotebook.h
/opt/kde/include/kpanner.h
/opt/kde/include/kpixmap.h
/opt/kde/include/kpopmenu.h
/opt/kde/include/kpreview.h
/opt/kde/include/kprocctrl.h
/opt/kde/include/kprocess.h
/opt/kde/include/kprogress.h
/opt/kde/include/kremotefile.h
/opt/kde/include/krestrictedline.h
/opt/kde/include/krootprop.h
/opt/kde/include/kselect.h
/opt/kde/include/kseparator.h
/opt/kde/include/ksimpleconfig.h
/opt/kde/include/kslider.h
/opt/kde/include/ksock.h
/opt/kde/include/kspinbox.h
/opt/kde/include/kstatusbar.h
/opt/kde/include/kstdaccel.h
/opt/kde/include/kstring.h
/opt/kde/include/ktabbar.h
/opt/kde/include/ktabctl.h
/opt/kde/include/ktablistbox.h
/opt/kde/include/ktmainwindow.h
/opt/kde/include/ktoolbar.h
/opt/kde/include/ktoolboxmgr.h
/opt/kde/include/ktopwidget.h
/opt/kde/include/ktreelist.h
/opt/kde/include/kurl.h
/opt/kde/include/kwizard.h
/opt/kde/include/kwm.h
/opt/kde/include/kwmmapp.h
/opt/kde/include/mediatool.h
/opt/kde/include/xview.h
/opt/kde/lib/libjscript.la
/opt/kde/lib/libjscript.so.0.0.90
/opt/kde/lib/libjscript.so
/opt/kde/lib/libjscript.so.0
/opt/kde/lib/libkdecore.la
/opt/kde/lib/libkdecore.so.1.0.0
/opt/kde/lib/libkdecore.so
/opt/kde/lib/libkdecore.so.1
/opt/kde/lib/libkdeui.la
/opt/kde/lib/libkdeui.so.1.0.0
/opt/kde/lib/libkdeui.so
/opt/kde/lib/libkdeui.so.1
/opt/kde/lib/libkfile.la
/opt/kde/lib/libkfile.so.1.0.0
/opt/kde/lib/libkfile.so
/opt/kde/lib/libkfile.so.1
/opt/kde/lib/libkfm.la
/opt/kde/lib/libkfm.so.1.0.0
/opt/kde/lib/libkfm.so
/opt/kde/lib/libkfm.so.1
/opt/kde/lib/libkhtmlw.la
/opt/kde/lib/libkhtmlw.so.1.0.0
/opt/kde/lib/libkhtmlw.so
/opt/kde/lib/libkhtmlw.so.1
/opt/kde/lib/libmediatool.la
/opt/kde/lib/libmediatool.so.1.0.0
/opt/kde/lib/libmediatool.so
/opt/kde/lib/libmediatool.so.1
/opt/kde/share/apps/kde/pics/arrow_down.xbm
/opt/kde/share/apps/kde/pics/arrow_left.xbm
/opt/kde/share/apps/kde/pics/arrow_right.xbm
/opt/kde/share/apps/kde/pics/arrow_up.xbm
/opt/kde/share/apps/kde/pics/error.xpm
/opt/kde/share/apps/kde/pics/exclamation.xpm
/opt/kde/share/apps/kde/pics/info.xpm
/opt/kde/share/apps/kde/pics/question.xpm
/opt/kde/share/apps/kde/pics/stopsign.xpm
/opt/kde/share/apps/khtmlw/pics/khtmlw_dnd.xpm
/opt/kde/share/config/charsets
%doc /opt/kde/share/doc/SuSE
%doc /opt/kde/share/doc/HTML/default
%doc /opt/kde/share/doc/HTML/en/kdelibs/kdebug.html
%doc /opt/kde/share/doc/HTML/en/kfiledialog/back.gif
%doc /opt/kde/share/doc/HTML/en/kfiledialog/bottom.gif
%doc /opt/kde/share/doc/HTML/en/kfiledialog/exec.gif
%doc /opt/kde/share/doc/HTML/en/kfiledialog/flag.gif
%doc /opt/kde/share/doc/HTML/en/kfiledialog/forward.gif
%doc /opt/kde/share/doc/HTML/en/kfiledialog/home.gif
%doc /opt/kde/share/doc/HTML/en/kfiledialog/idea.gif
%doc /opt/kde/share/doc/HTML/en/kfiledialog/index.html
%doc /opt/kde/share/doc/HTML/en/kfiledialog/reload.gif
%doc /opt/kde/share/doc/HTML/en/kfiledialog/toolbar-h.gif
%doc /opt/kde/share/doc/HTML/en/kfiledialog/toolbar.gif
%doc /opt/kde/share/doc/HTML/en/kfiledialog/up.gif
%doc /opt/kde/share/doc/HTML/en/kfiledialog/viewmag.gif
/opt/kde/share/locale/ca/LC_MESSAGES/kde.mo
/opt/kde/share/locale/cs/LC_MESSAGES/kde.mo
/opt/kde/share/locale/cs/charset
/opt/kde/share/locale/da/LC_MESSAGES/kde.mo
/opt/kde/share/locale/da/charset
/opt/kde/share/locale/de/LC_MESSAGES/kde.mo
/opt/kde/share/locale/de/charset
/opt/kde/share/locale/el/LC_MESSAGES/kde.mo
/opt/kde/share/locale/en_UK/LC_MESSAGES/kde.mo
/opt/kde/share/locale/es/LC_MESSAGES/kde.mo
/opt/kde/share/locale/es/charset
/opt/kde/share/locale/fi/LC_MESSAGES/kde.mo
/opt/kde/share/locale/fi/charset
/opt/kde/share/locale/fr/LC_MESSAGES/kde.mo
/opt/kde/share/locale/fr/charset
/opt/kde/share/locale/hr/LC_MESSAGES/kde.mo
/opt/kde/share/locale/hu/LC_MESSAGES/kde.mo
/opt/kde/share/locale/hu/charset
/opt/kde/share/locale/it/LC_MESSAGES/kde.mo
/opt/kde/share/locale/mk/LC_MESSAGES/kde.mo
/opt/kde/share/locale/nl/LC_MESSAGES/kde.mo
/opt/kde/share/locale/no/LC_MESSAGES/kde.mo
/opt/kde/share/locale/pl/LC_MESSAGES/kde.mo
/opt/kde/share/locale/pl/charset
/opt/kde/share/locale/pt/LC_MESSAGES/kde.mo
/opt/kde/share/locale/pt/charset
/opt/kde/share/locale/pt_BR/LC_MESSAGES/kde.mo
/opt/kde/share/locale/ro/LC_MESSAGES/kde.mo
/opt/kde/share/locale/ro/charset
/opt/kde/share/locale/ru/LC_MESSAGES/kde.mo
/opt/kde/share/locale/ru/charset
/opt/kde/share/locale/sk/LC_MESSAGES/kde.mo
/opt/kde/share/locale/sk/charset
/opt/kde/share/locale/sl/LC_MESSAGES/kde.mo
/opt/kde/share/locale/sv/LC_MESSAGES/kde.mo
/opt/kde/share/locale/sv/charset
/opt/kde/share/locale/zh_CN.GB2312/LC_MESSAGES/kde.mo
/opt/kde/share/locale/zh_TW.Big5/LC_MESSAGES/kde.mo
/opt/kde/share/toolbar/back.xpm
/opt/kde/share/toolbar/bottom.xpm
/opt/kde/share/toolbar/configure.xpm
/opt/kde/share/toolbar/contents.xpm
/opt/kde/share/toolbar/down.xpm
/opt/kde/share/toolbar/editcopy.xpm
/opt/kde/share/toolbar/editcut.xpm
/opt/kde/share/toolbar/editpaste.xpm
/opt/kde/share/toolbar/exclamation.xpm
/opt/kde/share/toolbar/exit.xpm
/opt/kde/share/toolbar/filefloppy.xpm
/opt/kde/share/toolbar/filemail.xpm
/opt/kde/share/toolbar/filenew.xpm
/opt/kde/share/toolbar/filenew2.xpm
/opt/kde/share/toolbar/fileopen.xpm
/opt/kde/share/toolbar/fileprint.xpm
/opt/kde/share/toolbar/finish.xpm
/opt/kde/share/toolbar/flag.xpm
/opt/kde/share/toolbar/forward.xpm
/opt/kde/share/toolbar/help.xpm
/opt/kde/share/toolbar/home.xpm
/opt/kde/share/toolbar/idea.xpm
/opt/kde/share/toolbar/lock.xpm
/opt/kde/share/toolbar/next.xpm
/opt/kde/share/toolbar/openbook.xpm
/opt/kde/share/toolbar/page.xpm
/opt/kde/share/toolbar/paintbucket.xpm
/opt/kde/share/toolbar/prev.xpm
/opt/kde/share/toolbar/reload.xpm
/opt/kde/share/toolbar/rightjust.xpm
/opt/kde/share/toolbar/send.xpm
/opt/kde/share/toolbar/start.xpm
/opt/kde/share/toolbar/stop.xpm
/opt/kde/share/toolbar/tick.xpm
/opt/kde/share/toolbar/top.xpm
/opt/kde/share/toolbar/up.xpm
/opt/kde/share/toolbar/viewmag+.xpm
/opt/kde/share/toolbar/viewmag-.xpm
/opt/kde/share/toolbar/viewmag.xpm
/opt/kde/share/toolbar/viewzoom.xpm
%doc /usr/doc/packages/kde/doc
%doc /usr/doc/packages/kde/klibs/AUTHORS
%doc /usr/doc/packages/kde/klibs/COPYING
%doc /usr/doc/packages/kde/klibs/ChangeLog
%doc /usr/doc/packages/kde/klibs/INSTALL
%doc /usr/doc/packages/kde/klibs/NEWS
%doc /usr/doc/packages/kde/klibs/README

